List DNS records
curl --request GET \
--url https://rdp.sh/api/v1/domains/{domain}/dns \
--header 'Authorization: <api-key>'import requests
url = "https://rdp.sh/api/v1/domains/{domain}/dns"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://rdp.sh/api/v1/domains/{domain}/dns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"name": "<string>",
"value": "<string>",
"ttl": 123,
"priority": 123,
"created_at": "<string>"
}
]DNS Records
List DNS Records
List all DNS records for a domain.
GET
/
domains
/
{domain}
/
dns
List DNS records
Authorizations
Path Parameters
Domain ID
Response
The DNS records for the domain.
Example:
42
Available options:
A, AAAA, CNAME, MX, TXT, NS, SRV, CAA Example:
"A"
Record name. Use @ for the apex/root.
Examples:
"@"
"www"
Example:
"185.241.208.160"
Example:
3600
Priority, used by MX and SRV records.
Example:
10
Example:
"2025-01-01T00:00:00.000000Z"
⌘I